@import url('./variable.css');
@import url('./fonts.css');



body {
    margin: 0;
    padding: min(5%, var(--padding-big));

    display: flex;
    flex-direction: column;
    gap: var(--padding-big);

    background-color: #E8E8E8;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10dvh;
}

.profil {
    height: var(--height-full);
    width: 100%;
    border-radius: var(--border-radius);
    padding: var(--padding-small) var(--padding-small) 100px var(--padding-small);

    background-image:
        var(--project-gradient-profil-front),
        url(../assets/img/homepage/profil.webp),
        var(--project-gradient-profil-background);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.profil .burger_menu_container {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.profil a {
    color: var(--color-white);
    text-decoration: none;
}

.profil .name {
    width: 100%;
    padding-left: calc(60dvw);
}

.profil .designer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    transition: transform 0.3s ease-out;
}

@media (max-width: 768px) {
    .profil .name {
        padding-left: 0;
        text-align: center;
    }

    .profil {
        padding: var(--padding-small) var(--padding-small) 32px var(--padding-small);
    }
}




@keyframes intro-profil-rotate {
    0% {
        rotate: 180deg;
    }

    10% {
        rotate: 135deg;
    }

    20% {
        rotate: 90deg;
    }

    30% {
        rotate: 45deg;
    }

    40% {
        rotate: 0deg;
    }
}

@keyframes intro-profil-size {
    0% {
        height: 64px;
        width: 64px;
    }

    40% {
        height: 64px;
        width: 64px;
    }

    100% {
        height: var(--height-full);
        width: 100%;
    }
}

@keyframes intro-profil-children {
    0% {
        opacity: 0;
        transform: translateY(100px);
    }

    60% {
        opacity: 0;
        transform: translateY(100px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

main.intro-play {
    animation:
        intro-main-padding 6s cubic-bezier(0.09, 0.68, 0.58, 1);
}

main.intro-play .profil {
    animation:
        intro-profil-rotate 6s cubic-bezier(0.01, 1.6, 0.49, 0.89),
        intro-profil-size 6s cubic-bezier(0, 0, 0.01, 0.99);
}

main.intro-play .profil>* {
    animation: intro-profil-children 8s cubic-bezier(0.01, 1.6, 0.49, 0.89);
}


@keyframes intro-projects-display {
    0% {
        display: none;
    }

    90% {
        display: none;
        opacity: 0;
        transform: translateY(20px);
    }

    100% {
        display: block;
        opacity: 1;
        transform: translateY(0px);
    }
}

main.intro-play .projects,
footer.intro-play {
    animation:
        intro-projects-display 6s ease-out;
}

@keyframes intro-main-padding {
    0% {
        padding-top: 25%;
    }

    40% {
        padding-top: 25%;
    }

    90% {
        padding-top: 0%;
    }
}









header {
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 10%;

    background: var(--project-gradient-profil-background);
    padding: var(--padding-small);
    border-radius: var(--border-radius);

    animation: header-intro 0.6s ease-out;
}

header a {
    width: 100%;
    color: var(--color-white);
    text-decoration: none;
}

header .header-name {
    text-align: left;
    font-size: var(--fs-sm);
    font-weight: var(--fw-normal);
}

header .header-designer {
    text-align: center;
}

header .burger-menu {
    text-align: right;
    font-size: var(--fs-sm);
    font-weight: var(--fw-normal);
}

@keyframes header-intro {
    0% {
        transform: translateY(20px);
        opacity: 0;
    }

    90% {
        transform: translateY(0px);
        opacity: 1;
    }
}













footer {
    width: 100%;

    display: flex;
    gap: var(--padding-small);
    flex-direction: column;
    align-items: center;
}

footer div {
    width: 100%;

    display: flex;
    gap: var(--padding-small);
    flex-direction: row;
    justify-content: center;
}

footer a {
    width: 100%;
    height: var(--height-line);

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--color-white);
    border-radius: var(--border-radius);
}

footer .sub-category a {
    background-color: var(--color-white);
    color: var(--color-segondary);
}

footer .contact a {
    background: var(--project-gradient-profil-background);
    color: var(--color-white);
}










.bg-div {
    position: absolute;
    width: calc(100% - 2*min(5%, var(--padding-big)));
    z-index: 99999;

    background: var(--project-gradient-profil-background);

    /* HIDDEN BY DEFAULT */
    display: none;

    /* Layout properties stay here, they'll apply when display:flex */
    flex-direction: row;
    justify-content: space-between;

    padding: 22px var(--padding-small);
    border-radius: var(--border-radius);
    gap: 10%;

    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.bg-div.is-open {
    display: flex;
}

.bg-div ul {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.bg-div p,
.bg-div a {
    color: var(--color-white);
}

.bg-part {
    display: flex;
    flex-direction: column;
    gap: var(--gap-medium);
}




.bg-part-right {
    align-items: flex-end;
}

.bg-close {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 6px;
}

.bg-close p {
    font-family: var(--font-title);
    font-weight: var(--fw-light);
    font-size: var(--fs-sm);
}





.bg-projects ul {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-column-gap: var(--gap-medium);
    grid-row-gap: var(--gap-medium);
}

.bg-projects p {
    font-family: var(--font-title);
    font-weight: var(--fw-bold);
    font-size: max(1.2dvw, 12px);
}

.bg-projects a {
    font-family: var(--font-body);
    font-size: max(1.2dvw, 14px);
    font-weight: var(--fw-light);
    text-decoration: none;
}


@media (max-width: 768px) {
    .bg-div ul {
        grid-template-columns: repeat(1, 1fr);
        grid-row-gap: 2dvh;
    }

    .bg-div {
        padding: 32px var(--padding-small);
    }
}